<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Http\Request;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function fcm($title,$body,$device_token){

	    $url = "https://fcm.googleapis.com/fcm/send";
	    $serverKey = 'AAAAHeC2Kgg:APA91bFdXv9j3eTJyPRUAFk56HhI_eE1MxbYkcMV0ec1f3JvzJtjKYG-gSLwXFY7igS4z9r1zCdhJjTEXjBa8OuJ9kVxPOSX0M02LpWlQmapIohYnaEtf2_belOI7Jl-sHxcYFtHCJNm';

	    if($title != 'refresh'){
	    $notification = array('to' => $device_token,'notification'=> array('title' =>$title , 'body' => $body, 'sound' => false, 'badge' => '1'));
	    $notification=json_encode($notification);
	    //dd($notification);
	    }else{
	    $arrayToSend = array('to' => $device_token, 'data' => array("title"=>'refresh',"body" => 'refresh'),'sound' => false);
	     //dd($arrayToSend);
	    $notification = json_encode($arrayToSend);
	    }
	    $headers = array();
	    $headers[] = 'Content-Type: application/json';
	    $headers[] = 'Authorization: key='. $serverKey;
	    $ch = curl_init();
	    curl_setopt($ch, CURLOPT_URL, $url);
	    curl_setopt($ch, CURLOPT_CUSTOMREQUEST,"POST");
	    curl_setopt($ch, CURLOPT_POSTFIELDS, $notification);
	    curl_setopt($ch, CURLOPT_HTTPHEADER,$headers);
	    curl_setopt($ch,CURLOPT_RETURNTRANSFER,1);
	    curl_setopt($ch, CURLOPT_VERBOSE, 0);
	    $result=curl_exec($ch);
	    curl_close($ch);
	    //dd($result);
            return true;

    }
    /*public function sendsms($numbers,$otp){
        // Account details
        $apiKey = '3a2ba461-2911-11ed-9c12-0200cd936042';
        //$apiKey = config('constants.2FACTOR_KEY');

        // Message details
        //$numbers = array(9574702571);
        $curl = curl_init();

        curl_setopt_array($curl, array(
          CURLOPT_URL => "http://2factor.in/API/V1/".$apiKey."/SMS/".$numbers."/".$otp,
          CURLOPT_RETURNTRANSFER => true,
          CURLOPT_ENCODING => "",
          CURLOPT_MAXREDIRS => 10,
          CURLOPT_TIMEOUT => 30,
          CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
          CURLOPT_CUSTOMREQUEST => "GET",
          CURLOPT_POSTFIELDS => "",
          CURLOPT_HTTPHEADER => array(
            "content-type: application/x-www-form-urlencoded"
          ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        curl_close($curl);

        if ($err) {
          return "cURL Error #:" . $err;
        } else {
          return $response;
        }
    }*/

    public function sendsms($numbers, $otp)
    {
      $apiKey = '0MZHYrnRjiGIcSAuNCOeWbtwlagQk29dxBo14qfTJmsEy65KLUSoQz3B5paG7mNxHEUulDPni8K2rOcJ';

      /* $numbers = implode(',', $numbers);*/

      $fields = array(
        "sender_id" => "NSMTKA",
        "message" => "Dear User, Your OTP for login is " . $otp . ". Please do not share OTP with anyone. NSMTKA",
        "template_id" => "1707171689176880855",
        "entity_id" => "1701171688449802956",
        "route" => "dlt_manual",
        "numbers" => $numbers,
      );

      $curl = curl_init();
      curl_setopt_array($curl, array(
        CURLOPT_URL => "https://www.fast2sms.com/dev/bulkV2",
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => "",
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 30,
        CURLOPT_SSL_VERIFYHOST => 0,
        CURLOPT_SSL_VERIFYPEER => 0,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => "POST",
        CURLOPT_POSTFIELDS => json_encode($fields),
        CURLOPT_HTTPHEADER => array(
          "authorization: " . $apiKey . "",
          "accept: */*",
          "cache-control: no-cache",
          "content-type: application/json"
        ),
      ));

      $response = curl_exec($curl);
      $err = curl_error($curl);

      curl_close($curl);
      return $response;
    }

    public function sum($num) {
    $sum = 0;
    for ($i = 0; $i < strlen($num); $i++){
        $sum += $num[$i];
    }
    return substr($sum, -1, 1);
   }

   public function downloadAPK(Request $request){
    $apk_file = public_path('downloads/laxmimatka.apk');
    // return response()->download($apk_file,'deeplaxmi.apk',['Content-Type: application/vnd.android.package-archive']);
    return response()->file($apk_file ,[
      'Content-Type'=>'application/vnd.android.package-archive',
      'Content-Disposition'=> 'attachment; filename="laxmimatka.apk"',
    ]) ;
   }
}
