<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class DeclareResult extends Model
{
   
protected $table = 'declare_result';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    
            'game_id',
            'market_status',
            'open_number',
            'open_result',
            'close_number',
            'close_result',
            'open_decleare_status',
            'close_decleare_status',
            'open_decleare_date',
            'close_decleare_date',
            'declare_date',
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $dates = [
        'created_at',
        'updated_at',
    ];
}
