<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class MainSetting extends Model
{
   
   protected $table = 'main_setting';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    
            'account_id',
            'account_holder_name',
            'account_number',
            'ifsc_code',
            'google_upi_id',
            'phonepe_upi_id',
            'other_upi_id',
            'app_link',
            'share_message',
            'maintainence_msg',
            'is_maintainence',
            'min_deposit',
            'max_deposit',
            'min_withdrawal',
            'max_withdrawal',
            'min_transfer',
            'max_transfer',
            'min_bid_amount',
            'max_bid_amount',
            'welcome_bonus',
            'withdrawal_open_time',
            'withdrawal_close_time',
            'global_betting',
            'mobile_number',
            'telegram_number',
            'whatsapp_number',
            'landline_1',
            'landline_2',
            'email_1',
            'email_2',
            'website',
            'facebook',
            'twitter',
            'youtube',
            'google_plus',
            'instagram',
            'latitude',
            'longitude',
            'address',
            'referral_msg',
            'login_msg',
            'referral_points'
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */


    protected $dates = [
        'created_at',
        'updated_at',
    ];

    
}
