<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class TransactionHistory extends Model
{
   
   protected $table = 'transaction_history';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    
            'admin_id',
            'user_id',
            'result_id',
            'amount',
            'transaction_note',
            'transfer_note',
            'date',
            'tx_req_number',
            'type',
            'auto_deposit',
            'payment_method',
            'transaction_id',
            'status',
            'reject_reason',
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $dates = [
        'created_at',
        'updated_at',
    ];
}
