<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserBid extends Model
{
   
   protected $table = 'users_bid';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    
            'user_id',
            'game_id',
            'result_id',
            'tx_id',
            'game_type_id',
            'session',
            'open_pana',
            'open_digit',
            'close_pana',
            'close_digit',
            'points',
            'result_declare',
            'is_win',
            'wining_amount',
            'bid_date',
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $dates = [
        'created_at',
        'updated_at',
    ];
}
