<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGameRateTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('starline_game_rate', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->string('single_digit_value_one')->default(0);
            $table->string('single_digit_value_two')->default(0);
            $table->string('single_pana_value_one')->default(0);
            $table->string('single_pana_value_two')->default(0);
            $table->string('double_pana_value_one')->default(0);
            $table->string('double_pana_value_two')->default(0);
            $table->string('triple_pana_value_one')->default(0);
            $table->string('triple_pana_value_two')->default(0);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('game_rate');
    }
}
