<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateStarlineDeclareResultTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('starline_declare_result', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->integer('game_id');
            $table->enum('market_status',['0','1','2'])->default('0');
            $table->string('open_number')->nullable();
            $table->string('open_result')->nullable();
            $table->enum('open_decleare_status',['0','1'])->default('0');
            $table->datetime('open_decleare_date')->nullable();
            $table->date('declare_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('starline_declare_result');
    }
}
