<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Login Page</title>
    
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="shortcut icon" href="{{ asset('asset/images/sm_logo.png') }}">

	<!-- Bootstrap Css -->
	<link href="{{ asset('asset/css/bootstrap.min.css') }}" id="bootstrap-style" rel="stylesheet" type="text/css">
	<!-- Icons Css -->
	<link href="{{ asset('asset/css/icons.min.css') }}" rel="stylesheet" type="text/css">
	
	<link href="{{ asset('asset/css/dataTables.bootstrap4.min.css') }}" rel="stylesheet" type="text/css">
	<link href="{{ asset('asset/css/buttons.bootstrap4.min.css') }}" rel="stylesheet" type="text/css">
	<link href="{{ asset('asset/css/responsive.bootstrap4.min.css') }}" rel="stylesheet" type="text/css">
	<link href="{{ asset('asset/css/select2.min.css') }}" rel="stylesheet" type="text/css">
	<!-- App -->
	<link href="{{ asset('asset/css/app.min.css') }}" id="app-style" rel="stylesheet" type="text/css">
	
	<link href="{{ asset('asset/css/custom.css') }}" rel="stylesheet" type="text/css">
	
  </head>
  <body data-sidebar="dark">
    
	<div id="layout-wrapper">
		
<div class="account-pages my-5 pt-sm-5">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-md-8 col-lg-6 col-xl-5">
				<div class="card overflow-hidden">
					<div class="" style="background-color:#6B052C;">
						<div class="row">
							<div class="col-7">
								<div class=" p-4" style="color:#fff;">
									<h5 class="" style="color:#fff;">Welcome Back !</h5>
									<p>Sign in to continue to Admin Console.</p>
								</div>
							</div>
							<div class="col-5">
							
								<img src="{{ asset('asset/images/sm_logo.svg') }}" alt="" class="img-fluid" style="height: 131px;">
							</div>
						</div>
					</div>
					<div class="card-body pt-0"> 
						<!--<div>
							<a href="#">
								<div class="avatar-md profile-user-wid mb-4">
									<span class="avatar-title rounded-circle bg-white">
										<img src="images/images-logo1.png" alt="" class="rounded-circle login_logo">
									</span>
								</div>
							</a>
						</div>-->
						@include('userPanel.layouts.partial.success')
                        @include('userPanel.layouts.partial.error')
						<div class="p-2">
							<form class="form-horizontal" method="post" id="loginform" action="{{ route('validateLogin') }}">
							@csrf

								<div class="form-group">
									<label for="username">Username</label>
									<input type="text" class="form-control" id="username" name="username" placeholder="Enter username" required>
								</div>
		
								<div class="form-group">
									<label for="userpassword">Password</label>
									<input type="password" class="form-control" id="password" name="password" placeholder="Enter password" required>
								</div>
		
								
								<div class="mt-3">
									<button type="submit" class="btn btn-primary btn-block waves-effect waves-light"  id="submitBtn">Log In</button>
								</div>
	
								<div class="mt-4 text-center">
								    								</div>
							</form>
						</div>
	
					</div>
				</div>
				

			</div>
		</div>
	</div>
</div>		</div>
		

	<input type="hidden" id="base_url" value="">
	<input type="hidden" id="admin" value="chetakstarline-admin">
	
	<div id="snackbar"></div>
	<div id="snackbar-info"></div>
	<div id="snackbar-error"></div>
	<div id="snackbar-success"></div>
	
	
				
	<script src="{{ asset('asset/js/jquery.min.js') }}"></script>
      <script src="{{ asset('asset/js/bootstrap.bundle.min.js') }}"></script>
	
   
<script>
$(document).ready(function(){
	$(".open-img-modal"	).click(function(){
		var imgsrc = $(this).data('id');
		 	$('.my_image').attr('src',imgsrc);
			$("#open-img-modal").modal('show');
	});
	
	$(".categor_select_2").select2({
		placeholder: "Select Category",
		allowClear: true
	});
	
	$(".select_digit").select2({
		placeholder: "Select Digit",
		allowClear : true
	});
	
});

Date.prototype.toShortFormat = function() {

    var month_names =["Jan","Feb","Mar",
                      "Apr","May","Jun",
                      "Jul","Aug","Sep",
                      "Oct","Nov","Dec"];
    
    var day = this.getDate();
    var month_index = this.getMonth();
    var year = this.getFullYear();
	var hours = this.getHours();
    var minutes = this.getMinutes();
    var ampm = hours >= 12 ? 'PM' : 'AM';
    hours = hours % 12;
    hours = hours ? hours : 12; // the hour '0' should be '12'
    minutes = minutes < 10 ? '0' + minutes : minutes;
    var strTime = hours + ':' + minutes + ' ' + ampm;
    
    return "" + day + "-" + month_names[month_index] + "-" + year + " " + strTime;
}
var today = new Date();
var exceldate = today.toShortFormat()
</script>
<script>
	 //$('.timepicker').val('')

	 var options = { 
					twentyFour: false,
					upArrow: 'wickedpicker__controls__control-up',
					downArrow: 'wickedpicker__controls__control-down', 
					close: 'wickedpicker__close',
					showSeconds: false,
					secondsInterval: 1,
					minutesInterval: 1,
					beforeShow: null,
					show: null,
					clearable: false,
					
		 }; 
		 	 var seridevi_open_time=$('#seridevi_open_time').val();;
		 	 var seridevi_close_time=$('#seridevi_close_time').val();;
		 	 var madhur_m_open_time=$('#madhur_m_open_time').val();;
		 	 var madhur_m_close_time=$('#madhur_m_close_time').val();;
		 	 var gold_d_open_time=$('#gold_d_open_time').val();;
		 	 var gold_d_close_time=$('#gold_d_close_time').val();;
		 	 var madhur_d_open_time=$('#madhur_d_open_time').val();;
		 	 var madhur_d_close_time=$('#madhur_d_close_time').val();;
		 	 var super_milan_open=$('#super_milan_open').val();;
		 	 var super_milan_close=$('#super_milan_close').val();;
		 	 var rajdhani_d_open=$('#rajdhani_d_open').val();;
		 	 var rajdhani_d_close=$('#rajdhani_d_close').val();;
		 	 var supreme_d_open=$('#supreme_d_open').val();;
		 	 var supreme_d_close=$('#supreme_d_close').val();;
		 	 var sridevi_night_open=$('#sridevi_night_open').val();;
		 	 var sridevi_night_close=$('#sridevi_night_close').val();;
		 	 var gold_night_open=$('#gold_night_open').val();;
		 	 var gold_night_close=$('#gold_night_close').val();;
		 	 var madhure_night_open=$('#madhure_night_open').val();;
		 	 var madhure_night_close=$('#madhure_night_close').val();;
		 	 var supreme_night_open=$('#supreme_night_open').val();;
		 	 var supreme_night_close=$('#supreme_night_close').val();;
		 	 var rajhdhani_night_open=$('#rajhdhani_night_open').val();;
		 	 var rajhdhani_night_close=$('#rajhdhani_night_close').val();;

	$('.timepicker').wickedpicker(options);
	 
	
	 
	 $('#seridevi_open_time').val(seridevi_open_time);;
	 $('#seridevi_close_time').val(seridevi_close_time);;
	 $('#madhur_m_open_time').val(madhur_m_open_time);;
	 $('#madhur_m_close_time').val(madhur_m_close_time);;
	 $('#gold_d_open_time').val(gold_d_open_time);;
	 $('#gold_d_close_time').val(gold_d_close_time);;
	 $('#madhur_d_open_time').val(madhur_d_open_time);;
	 $('#madhur_d_close_time').val(madhur_d_close_time);;
	 $('#super_milan_open').val(super_milan_open);;
	 $('#super_milan_close').val(super_milan_close);;
	 $('#rajdhani_d_open').val(rajdhani_d_open);;
	 $('#rajdhani_d_close').val(rajdhani_d_close);;
	 $('#supreme_d_open').val(supreme_d_open);;
	 $('#supreme_d_close').val(supreme_d_close);;
	 $('#sridevi_night_open').val(sridevi_night_open);;
	 $('#sridevi_night_close').val(sridevi_night_close);;
	 $('#gold_night_open').val(gold_night_open);;
	 $('#gold_night_close').val(gold_night_close);;
	 $('#madhure_night_open').val(madhure_night_open);;
	 $('#madhure_night_close').val(madhure_night_close);;
	 $('#supreme_night_open').val(supreme_night_open);;
	 $('#supreme_night_close').val(supreme_night_close);;
	 $('#rajhdhani_night_open').val(rajhdhani_night_open);;
	 $('#rajhdhani_night_close').val(rajhdhani_night_close);;

	 
</script>
				<script>
				var dataTable='';
						
</script>
		
	
  </body>

</html>
