@extends('admin')
@section('pageLevelCSS')
<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.css" rel="stylesheet">
@endsection
@section('content')
<div class="page-content">
 <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12 col-md-8 mr-auto ml-auto">
                        <div class="row">
                           <div class="col-sm-12">
                              <div class="card">
                                 <div class="card-body">
                                    <h4 class="card-title">How To Play</h4>
                                    <form class="theme-form mega-form" id="howToPlayFrm" name="howToPlayFrm" method="post">
                                       <input type="hidden" name="id" value="1">
                                       <div class="form-group">
                                          <label>How To Play Content</label>
                                          <textarea class="form-control textarea1" name="description" rows="10" id="description">{!! $text->text !!}</textarea>
                                       </div>
                                       <div class="form-group">
                                          <label for="exampleInputEmail1">Video Link</label>
                                          <input type="text" name="video_link" id="video_link" class="form-control" placeholder="Enter Video Link" value="{{ $text->link }}"/>
                                       </div>
                                       <div class="form-group">
                                          <button type="submit" class="btn btn-primary waves-light m-t-10" id="submitBtn">Submit</button>
                                       </div>
                                       <div class="form-group">
                                          <div id="error"></div>
                                       </div>
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
                </div>
@endsection
@section('pageLevelJS')
<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote.min.js"></script>
<script>
$('#description').summernote();
        </script>
@endsection
          
