@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title d-flex align-items-center justify-content-between">Users Query List</h4>
                              <table class="table table-striped table-bordered" id="userQueryList">
                                 <thead>
                                    <tr>
                                       <th>#</th>
                                       <th>User Name</th>
                                       <th>Mobile</th>
                                       <th>Email</th>
                                       <th>Query</th>
                                       <th>Date</th>
                                    </tr>
                                 </thead>
                              </table>
                              <div id="msg"></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
@endsection
@section('pageLevelJS')
<script>
         var dataTable='';
         		
        dataTable = $('#userQueryList').DataTable( {
         			"processing": true,
         			"serverSide": true,
         			"order": [0,"desc"],
         			"ajax":{"url":base_url+"userQueryList","type": "POST","dataType": "json"},
         			"columns": [
         						{ "data": "DT_RowIndex" },
         						{ "data": "name" },
         						{ "data": "phone_number" },
         						{ "data": "email" },
         						{ "data": "msg" },
         						{ "data": "insert_date" },			
         				],
         					});												
         					dataTable2.on('page.dt', function() {						  
         					$('html, body').animate({							
         					scrollTop: $(".dataTables_wrapper").offset().top-50						  
         					}, 'slow');						
         					});	
         						
												
												
</script>												
@endsection												
						
												
																			
						
												
						
												
												
						
						
													
						
						
												
						
													
						
						
						
					
					
						
						
		
