@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12 col-xl-12">
                        <div class="row">
                           <div class="col-sm-12 col-md-12 col-xl-12">
                              <div class="card">
                                 <div class="card-header">
                                    <h5>Contact Settings</h5>
                                 </div>
                                 <div class="card-body">
                                    <form class="theme-form mega-form" id="adminContactFrm" name="adminContactFrm" method="post">
                                       <input type="hidden" name="id" value="1">
                                       <div class="row">
                                          <div class="form-group col-md-4">
                                             <label class="col-form-label"><strong>Mobile Number <span class="Img_ext">eg.9876543210</span></strong></label>
                                             <input type="text" class="form-control mobile-valid" name="mobile_1" id="mobile_1" placeholder="Please Enter Mobile Number" value="{{ $contactSetting->mobile_number }}">
                                          </div>
                                          <div class="form-group col-md-4">
                                             <label class="col-form-label"><strong>Telegram Mobile (Optional)</strong></label>
                                             <input type="text" class="form-control" name="mobile_2" id="mobile_2" placeholder="Please Enter Second Mobile Number" value="{{ $contactSetting->telegram_number }}">
                                          </div>
                                          <div class="form-group col-md-4">
                                             <label class="col-form-label"><strong>WhatsApp Number</strong></label>
                                             <input type="text" class="form-control" name="whats_mobile" id="whats_mobile" placeholder="Please Enter WhatsApp Mobile Number" value="{{ $contactSetting->whatsapp_number }}">
                                          </div>
                                          <div class="form-group col-md-4">
                                             <label class="col-form-label"><strong>Website<span class="Img_ext"></span></strong></label>
                                             <input class="form-control" type="text" name="website" id="website"  value="{{ $contactSetting->website }}" placeholder="Enter Website Address">
                                          </div>
                                          <div class="form-group col-md-4">
                                             <label class="col-form-label"><strong>Landline 1 (Optional) <span class="Img_ext">eg.0141-9999999</span></strong></label>
                                             <input class="form-control" type="number" min=0 name="landline_1" id="landline_1"  value="{{ $contactSetting->landline_1 }}" placeholder="Enter Landline Number">
                                          </div>
                                          <div class="form-group col-md-4">
                                             <label class="col-form-label"><strong>Landline 2 (Optional)</strong></label>
                                             <input class="form-control" type="number" min=0 name="landline_2" id="landline_2"  value="{{ $contactSetting->landline_2 }}" placeholder="Enter Second Landline Number">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Email 1</strong></label>
                                             <input class="form-control" type="text" name="email_1" id="email_1"  value="{{ $contactSetting->email_1 }}" placeholder="Enter Email">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Email 2 (Optional)</strong></label>
                                             <input class="form-control" type="text" name="email_2" id="email_2"  value="{{ $contactSetting->email_2 }}" placeholder="Enter Email">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Facebook (Optional)</strong></label>
                                             <input class="form-control" type="text" name="facebook" id="facebook"  value="{{ $contactSetting->facebook }}" placeholder="Enter Facebook Link">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Twitter (Optional)</strong></label>
                                             <input class="form-control" type="text" name="twitter" id="twitter"  value="{{ $contactSetting->twitter }}" placeholder="Enter Twitter Link">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Youtube (Optional)</strong></label>
                                             <input class="form-control" type="text" name="youtube" id="youtube"  value="{{ $contactSetting->yuotube }}" placeholder="Enter Youtube Link">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Google Plus (Optional)</strong></label>
                                             <input class="form-control" type="text" name="google_plus" id="google_plus"  value="{{ $contactSetting->google_plus }}" placeholder="Enter Google Plus Link">
                                          </div>
                                          <div class="form-group col-md-6">
                                             <label class="col-form-label"><strong>Instagram (Optional)</strong></label>
                                             <input class="form-control" type="text" name="instagram" id="instagram"  value="{{ $contactSetting->instagram }}" placeholder="Enter Instagram Link">
                                          </div>
                                          <div class="form-group col-md-3">
                                             <label class="col-form-label"><strong>Latitude</strong></label>
                                             <input class="form-control" type="text" name="latitude" id="latitude"  value="{{ $contactSetting->latitude }}" placeholder="Enter Latitude">
                                          </div>
                                          <div class="form-group col-md-3">
                                             <label class="col-form-label"><strong>Longitude</strong></label>
                                             <input class="form-control" type="text" name="longitude" id="longitude"  value="{{ $contactSetting->longitude }}" placeholder="Enter Longitude">
                                          </div>
                                          <div class="form-group col-md-12">
                                             <label class="col-form-label"><strong>Address</strong></label>
                                             <textarea class="form-control" name='address' id='address'>{{ $contactSetting->address }}</textarea>
                                          </div>
                                       </div>
                                       <div class="form-group">
                                          <button type="submit" class="btn btn-primary waves-light m-t-10" id="submitBtn" name="submitBtn">Submit</button>
                                       </div>
                                       <div class="form-group">
                                          <div id="errormsg"></div>
                                       </div>
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
@endsection
