<!DOCTYPE html>
<html lang="en">
    <head>
        <title>Laxmi Game | Sign Up</title>
        <link rel="icon" href="Assets/3_Logo.ico" type="image/gif" sizes="16x16">
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
        <link rel="preconnect" href="https://fonts.googleapis.com">
      <!-- START FONTS -->
      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
      <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.css"/>
        <!-- END FONTS -->
        <!-- START SCRIPT -->
        
        <!-- END SCRIPT -->
        <!-- START STYLESHEET -->
        <link rel="stylesheet" type="text/css" href="{{ asset('/frontend/assets/css/style.css') }}">
        <!-- END STYLESHEET -->
        <style>
        .sweet-alert > h2{
        
           color:black !important;
        }
        </style>
    </head>
    <body>
        <div class="container form_wrap4">
            <div class="form_wrap0">
                <div class="form_wrap3">
                    <img src="{{ asset('/frontend/assets/16_Logo.png') }}" class="form_img1">
                </div>
                <div class="form_wrap1">
                    <h1 class="form_head1">Sign Up</h1>
                </div>
                <form id="registerForm" method="post" action="{{ route('submitRegister') }}">
                <div id="signup_div">
                    <div class="form_wrap1">
<!--                    <label for="email">Phone Number:</label>-->
                        <input type="text" class="form-control form_input1" name="name" id="name" placeholder="User Name">
                    </div>
                    <div class="form_wrap1">
    <!--                    <label for="email">Phone Number:</label>-->
                        <input type="email" class="form-control form_input1" id="email" name="email" placeholder="Email ID">
                    </div>
                    <div class="form_wrap1">
    <!--                    <label for="email">Phone Number:</label>-->
                        <input type="text" class="form-control form_input1" id="phone_number" name="phone_number" placeholder="Phone Number">
                    </div>
                    <div class="form_wrap1">
    <!--                    <label for="pwd">Password:</label>-->
                        <input type="password" class="form-control form_input1" id="password" placeholder="Password" name="password">
                    </div>
                    <div class="form_wrap2">
    <!--                    <label for="pwd">Password:</label>-->
                        <input type="text" class="form-control form_input1" id="mpin" placeholder="MPin" name="mpin">
                    </div>
                    <button id="continue" type="submit" class="btn btn-primary form_btn1 continue">Continue</button>
                </div>
                <div id="otp_div" style="display:none;">
                    <div class="form_wrap1">
<!--                    <label for="email">Phone Number:</label>-->
                        <input type="text" class="form-control form_input1" id="otp" placeholder="OTP" name="otp">
                    </div>
                    <div class="form-check form_wrap6">
                        <label class="form-check-label">
                            <a href="javascript:void(0)" id="resend" class="form_anchor1">Resend the OTP ?</a>
                        </label>
                    </div>
                    <button type="button" id="verify" class="btn btn-primary form_btn1">Sign Up</button>
                </div>    
                </form>
                <div class="form-check form_wrap5">
                    <label class="form-check-label">
                        <a href="{{ route('userlogin') }}" class="form_anchor1">Have an account ? Sign In</a>
                    </label>
                </div>
            </div>
        </div>

        @php config('') @endphp
       <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
       <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.min.js"></script>
       <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.5/jquery.validate.min.js"></script>
       <script>
         $.ajaxSetup({
         headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }
         });
    
    var base_url = '{{ config('app.url') }}';

    console.log('base_url',base_url);     
  $("#registerForm").validate({
    rules: {
        username: {
            required: true,
        },
        email: {
            required: true,
            email:true,
        },
        phone_number: {
            required: true,
            number: true,
            minlength:10,
            maxlength:10,
        },
        mpin: {
            required: true,
        },
        password: {
            required: true,
        },

    },
    errorPlacement: function(error, element) {
        error.addClass('mt-2 text-danger');
        if (element.hasClass('form_select_bid') && element.next('.select2-container').length) {
            error.insertAfter(element.next('.select2-container'));
        } else if (element.parent('.input-group').length) {
            error.insertAfter(element.parent());
        } else if (element.prop('type') === 'radio' && element.parent('.radio-inline').length) {
            error.insertAfter(element.parent().parent());
        } else if (element.prop('type') === 'checkbox' || element.prop('type') === 'radio') {
            error.appendTo(element.parent().parent());
        } else {
            error.insertAfter(element);
        }
    },
    submitHandler: function(form) {
    
                var phone_number=$('#phone_number').val();
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: `${base_url}api/sendotp`,
			 data: {
				 phone_number: phone_number,
				 type: 'signin',
			 },
			 success: function(data) {
			 
			     if(data.error == 'false'){
			       
			       $('#signup_div').hide();
			       $('#otp_div').show();
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
        
    }
    });
    
    $('#resend').click(function(){
    
                var phone_number=$('#phone_number').val();
                
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: `${base_url}api/sendotp`,
			 data: {
				 phone_number: phone_number,
				 type: 'signin',
			 },
			 success: function(data) {
			 
			     if(data.error == 'false'){
			       
			       swal("Success!",'OTP sended successfully!', "success");
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
    
    });
    
    $('#verify').click(function(){
    
                var phone_number=$('#phone_number').val();
                var otp=$('#otp').val();
                if(otp == ''){
                    swal("Alert!",'Please enter OTP.', "error");
                    return;
                }
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: `${base_url}api/verifyotp`,
			 data: {
				 phone_number : phone_number,
				 otp_string: otp,
			 },
			 success: function(data) {
			 
			     if(data.error == 'false'){
			       
			       submitRegister();
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
					
		        }
		    });
    
    });
    
    function submitRegister(){
    
       var username=$('#name').val();
       var email=$('#email').val();
       var phone_number=$('#phone_number').val();
       var password=$('#password').val();
       var mpin=$('#mpin').val();
	$.ajax({
		type: 'post',
		dataType: 'json',
		url: `${base_url}api/register`,
		data: {
			phone_number: phone_number,
			username: username,
			email: email,
			password: password,
			mpin: mpin,
			device_token: "web",
                       device_id : "web"
		},
		success: function(data) {
			 
			if(data.error == false){
			       
			     login();
			       
			}else{
			     
			     swal("Alert!",data.message, "error");
			}
					
		}
	});
    
    
    
    }
    
    function login(){    
    
            
            var phone_number=$('#phone_number').val();
            var password=$('#password').val();
            var pin=$('#mpin').val();
            $.ajax({
		 type: 'post',
		 dataType: 'json',
		 url: "{{ url('/validateClientLogin')}}",
		 data: {
			 phone_number: phone_number,
			 password: password,
			 pin: pin,
		 },
		 success: function(data) {
				
			     if(data.error == false){
			       
			       location.href="/userdashboard";
			       
			     }else{
			     
			         swal("Alert!",data.message, "error");
			     }
                }
            });
    
    
    
    }
         
         
         
      </script>
    </body>
</html>
