<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>KD Game | Dashboard</title>
        <link rel="icon" href="Assets/3_Logo.ico" type="image/gif" sizes="16x16">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <link href="{{ asset('/frontend/assets/css/bootstrap.min.css') }}" rel="stylesheet">
        <!-- START FONTS -->
        <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin> 
        <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
        <!-- END FONTS -->
        <!-- START ICONS -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Material+Symbols+Rounded:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200" />
         <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.css"/>
        <!-- END ICONS -->
        <!-- START SCRIPT -->
        <!-- END SCRIPT -->
        <!-- START CSS -->
        <link rel="stylesheet" type="text/css" href="{{ asset('/frontend/assets/css/style.css') }}">
         <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.4/css/all.css" integrity="sha384-DyZ88mC6Up2uqS4h/KRgHuoeGwBcD4Ng9SiP4dIRy0EXTlnuz47vAwmeGwVChigm" crossorigin="anonymous"/>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css"/>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.13.2/themes/base/jquery-ui.css">
        
        <!-- END CSS -->
        
        <style>
          .error{
            color:red;
            margin-bottom:10px;
         }
         .sweet-alert > h2{
        
           color:black !important;
        }

        .drpdwn_menu > .dropdown-menu > li > .active {

            color:#FAAF5D !important;
        }
        .form-label{
        
           color:#660c32 !important;
        }

        
.ui-front {
    z-index: 9999999 !important;
}
.badge-danger {
    display: inline-block;
    padding: 0.35em 0.65em;
    font-size: .75em;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    background-color: red;
}

.badge-success {
    display: inline-block;
    padding: 0.35em 0.65em;
    font-size: .75em;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    background-color: green;
}

.badge-pending {
    display: inline-block;
    padding: 0.35em 0.65em;
    font-size: .75em;
    font-weight: 700;
    line-height: 1;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 0.25rem;
    background-color: yellow;
}
        </style>
        @yield('pageLevelCSS')
    </head>
    <body>
        <div class="container-fluid d-flex flex-column flex-md-row">
            
            <div>
              @yield('sidebar')
            </div>
            
            <!-- START CONTENT PARENT -->
            <div class="flex-grow-1 d-flex flex-column container_content">
                @yield('navbar')
                @yield('content')
               
            </div>
            <!-- END CONTENT PARENT -->
        </div>
        <div class="modal fade" id="transfer_model" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="transfer_model" aria-hidden="true">
            <div class="modal-dialog modal-md modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title card-title txt_game_type" id="mdl_add_fundsLabel">Transfer</h5>
                        <span data-bs-dismiss="modal" aria-label="Close" class="material-symbols-rounded close_icon">close</span>
                    </div>
                    <form id="transferForm">
                    <div class="modal-body">
                        <input type="text" class="form-control input_form_bid" name="transfer_number" id="transfer_number" placeholder="Phone Number">
                        
                        <input type="text" class="form-control input_form_bid" name="amount" id="amount" placeholder="Points">
                    <div class="modal-footer payment_option_container3">
                        <button type="submit" data-bs-dismiss="modal" class="btn btn_mdl">Submit</button>
                    </div>
                   </form> 
                </div>
            </div>
        </div>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
        <script src="{{ asset('/frontend/assets/js/bootstrap.min.js') }}"></script>  
        <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.full.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.5/jquery.validate.min.js"></script>
        <script src="https://code.jquery.com/ui/1.13.2/jquery-ui.js"></script>
         @yield('pageLevelJS')
    </body>
</html>
