@extends('admin')
@section('content')
<div class="page-content">
<div class="container-fluid">
		<div class="row">
			
			<div class="col-sm-12">
				<div class="card">
				  <div class="card-body">
				  <h4 class="card-title">Un-Approved Users List</h4>
					<div class="table-responsive">
					  <table class="table table-bordered" id="unApprovedUsersList">
						<thead>
						  <tr>
							<th>#</th>
							<th>User Name</th>
							<th>Mobile</th>
							<th>email</th>
							<th>Date</th>							<th>Balance</th>							<th>Betting</th>							<th>Transfer</th>
							<th>Active</th>
							<th>Action</th>
						  </tr>
						</thead>
						</table>
					</div>
						<div id="msg"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<div class="page-content">
	@endsection 
	
	
@section('pageLevelJS')
<script>


   var dataTable='';
   		
   								dataTable = $('#unApprovedUsersList').DataTable( {
   			"processing": true,
   			"serverSide": true,
   			"order": [0,"desc"],
   			"ajax":{"url":"{{ url('admin/unapprovedUsersList') }}","type": "POST","dataType": "json"},
   			"columns": [
   						{ "data": "DT_RowIndex" },
   						{ "data": "username" },
   						{ "data": "phone_number" },
   						{ "data": "email" },
   						{ "data": "created_at" },
   						{ "data": "available_balance" },
   						{ "data": "betting" },
   						{ "data": "transfer" },
   						{ "data": "status" },
   						{ "data": "view_details" },							
   				],
   				/* columnDefs: [{
   					targets: [-1], render: function (a, b, data, d) {
   						 var action='';
   							action ='<a title="View" href="'+base_url+admin+'/view-user/'+data.user_id+'"><button class="btn btn-outline-info btn-xs m-l-5" type="button" title="View">View</button></a>';
   							
   						 if (data.status == 1) {
   							action+='<a title="Inactivate" class="success blockUnblock" href="" id="success-'+data.user_id+'-tb_user-user_id-status"><button class="btn btn-outline-success btn-xs m-l-5" type="button" title="Inactivate">Inactivate</button></a>';
   						}
   						else{
   							action+='<a class="danger blockUnblock" href="" id="danger-'+data.user_id+'-tb_user-user_id-status"><button class="btn btn-outline-danger btn-xs m-l-5" type="button" title="Activate">Activate</button></a>'; 
   						} 
   						return action;
   					}
   				}], */								
   			});												
   				dataTable.on('page.dt', function() {
   				$('html, body').animate({
   					scrollTop: $(".dataTables_wrapper").offset().top-50						   
   					}, 'slow');						
   					});	
   			
   								
   								
   				
   </script>
@endsection
