@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <!-- Zero Configuration  Starts-->	
                     <div class="col-sm-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Withdraw Request List</h4>
                              <div class="table-responsive">
                                 <table class="table table-striped table-bordered " id="withdrawRequestList">
                                    <thead>
                                       <tr>
                                          <th>#</th>
                                          <th>User Name</th>
                                          <th>Mobile</th>
                                          <th>Amount</th>
                                          <th>Request No.</th>
                                          <th>Date</th>
                                          <th>Status</th>
                                          <th>View</th>
                                          <th>Action</th>
                                       </tr>
                                    </thead>
                                 </table>
                              </div>
                              <div id="msg"></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
@endsection
@section('pageLevelJS')
<script>
				var dataTable='';
						
				dataTable = $('#withdrawRequestList').DataTable( {
							"processing": true,
							"serverSide": true,
							"order": [0,"desc"],
							"ajax":{"url":base_url+"withdrawRequestList","type": "POST","dataType": "json",complete: function (r){ /* $('#withdrawRequestList').lightGallery({
										selector: '.item'
									}); */ } },
							"columns": [
										{ "data": "DT_RowIndex" },
										{ "data": "username" },
										{ "data": "phone_number" },
										{ "data": "amount" },
										{ "data": "request_number" },
										{ "data": "request_date" },
										{ "data": "status" },
										{ "data": "view" },						
										{ "data": "action" },						
								],
								/* columnDefs: [{
									targets: [-1], render: function (a, b, data, d) {
										var action='';
										action ='';
										return action;
									}
								}], */								
							});		
							
						dataTable.on('page.dt', function() {
						$('html, body').animate({
							scrollTop: $(".dataTables_wrapper").offset().top-50						   
							}, 'slow');						
							});	
							
												
</script>
@endsection
