<?php $__env->startSection('content'); ?>
<div class="page-content">
   <div class="container-fluid">
      <div class="row">
         <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
               <h4 class="mb-0 font-size-18">User List</h4>
               <div class="page-title-right">
                  <ol class="breadcrumb m-0">
                     <li class="breadcrumb-item"><a href="javascript: void(0);">Dashboards</a></li>
                     <li class="breadcrumb-item active">User List</li>
                  </ol>
               </div>
            </div>
         </div>
      </div>
      <div class="col-12">
         <div class="card">
            <div class="card-body">
               <h4 class="card-title d-flex align-items-center justify-content-between">&nbsp; <a href="<?php echo e(route('unapprovedUsers')); ?>" class="btn btn-primary waves-effect waves-light btn-sm">Un-approved Users List</a></h4>
               <div class="table-responsive">
                  <table id="userList" class="table table-bordered">
                     <thead>
                        <tr>
                           <th>#</th>
                           <th>User Name</th>
                           <th>Mobile</th>
                           <th>email</th>
                           <th>Date</th>
                           <th>Balance</th>
                           <th>Betting</th>
                           <th>Transfer</th>
                           <th>Active</th>
                           <th>View</th>
                        </tr>
                     </thead>
                  </table>
                  <div id="msg"></div>
               </div>
            </div>
         </div>
      </div>
   </div>
</div>
<?php $__env->stopSection(); ?> 
<?php $__env->startSection('pageLevelJS'); ?>
<script>


   var dataTable='';
   		
   								dataTable = $('#userList').DataTable( {
   			"processing": true,
   			"serverSide": true,
   			"ajax":{"url":"<?php echo e(url('admin/usersList')); ?>","paging":true,"type": "POST","dataType": "json"},
   			"columns": [
   						{ "data": "DT_RowIndex" },
   						{ "data": "username" },
   						{ "data": "phone_number" },
   						{ "data": "email" },
   						{ "data": "created_at" },
   						{ "data": "available_balance" },
   						{ "data": "betting" },
   						{ "data": "transfer" },
   						{ "data": "status" },
   						{ "data": "view_details" },							
   				],
   				/* columnDefs: [{
   					targets: [-1], render: function (a, b, data, d) {
   						 var action='';
   							action ='<a title="View" href="'+base_url+admin+'/view-user/'+data.user_id+'"><button class="btn btn-outline-info btn-xs m-l-5" type="button" title="View">View</button></a>';
   							
   						 if (data.status == 1) {
   							action+='<a title="Inactivate" class="success blockUnblock" href="" id="success-'+data.user_id+'-tb_user-user_id-status"><button class="btn btn-outline-success btn-xs m-l-5" type="button" title="Inactivate">Inactivate</button></a>';
   						}
   						else{
   							action+='<a class="danger blockUnblock" href="" id="danger-'+data.user_id+'-tb_user-user_id-status"><button class="btn btn-outline-danger btn-xs m-l-5" type="button" title="Activate">Activate</button></a>'; 
   						} 
   						return action;
   					}
   				}], */								
   			});												
   				dataTable.on('page.dt', function() {
   				$('html, body').animate({
   					scrollTop: $(".dataTables_wrapper").offset().top-50						   
   					}, 'slow');						
   					});	
   			
   								
   								
   				
   </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/mtwebbackend/resources/views/users/users.blade.php ENDPATH**/ ?>