<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class StarlineGameRates extends Model
{
   
   protected $table = 'starline_game_rate';
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
    
            'single_digit_value_one',
            'single_digit_value_two',
            'single_pana_value_one',
            'single_pana_value_two',
            'double_pana_value_one',
            'double_pana_value_two',
            'triple_pana_value_one',
            'triple_pana_value_two',
    ];
    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $dates = [
        'created_at',
        'updated_at',
    ];
}
