<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGameNameTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('starline_games', function (Blueprint $table) {
        
            $table->bigIncrements('id');
            $table->string('game_name')->nullable();
            $table->string('game_name_hindi')->nullable();
            $table->string('open_time')->nullable();
            $table->enum('status',['active','blocked'])->default('active');
            $table->enum('market_open',['active','blocked'])->default('active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('game_name');
    }
}
