<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateTransactionHistoryAddStatusField extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('transaction_history', function (Blueprint $table) {
        
            $table->enum('status',['1','0','2'])->default('1')->after('auto_deposit');
            $table->string('reject_reason')->nullable()->after('status');
            
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('transaction_history', function (Blueprint $table) {
        
            $table->dropColumn([
                'status',
                'reject_reason',
            ]);
        });
    }
}
