<?php

namespace Database\Seeders;
use App\Models\User;
use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;

class UserSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $adminRole = Role::findByName(User::ROLE_ADMIN);

        //$permissions = Permission::all();
        $adminUser = User::create([
            'name' => 'Admin',
            'username' => 'admin',
            'email' => 'admin@smproject.com',
            'password' => bcrypt('123456'),
            'phone_number' => '919652528701',
            'status' => User::STATUS_ACTIVE,
            'role' => User::ROLE_ADMIN
        ]);
        $adminUser->save();
        $adminUser->assignRole($adminRole);
        //$adminUser->givePermissionTo($permissions);
    }
}
