@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12 col-sm-12 col-lg-12">
                        <div class="row">
                           <div class="col-sm-12 col-12 ">
                              <div class="card">
                                 <div class="card-body">
                                    <h4 class="card-title">Select Game</h4>
                                    <form name="gameSrchFrm" id="gameSrchFrm" method="post">
                                       <input type="hidden" name="id" id="id">
                                       <div class="row">
                                          <div class="form-group col-md-3">
                                             <label>Result Date</label>
                                             <div class="date-picker">
                                                <div class="input-group">
                                                   <input class="form-control digits" type="date" value="{{ date('Y-m-d')}}" name="result_dec_date" id="result_dec_date" max="{{ date('Y-m-d')}}" >
                                                </div>
                                             </div>
                                          </div>
                                          <div class="form-group col-md-4">
                                             <label>Game Name </label>
                                             <select class="form-control" name="game_id" id="game_id">
                                                <option value="">Select Name</option>
                                                @foreach($gameList as $key => $value)
                                                <option value="{{ $value['id'] }}">{{ $value['game_name'] }} ({{ $value['open_time'] }} - {{ $value['close_time'] }})</option>
                                                @endforeach
                                                
                                             </select>
                                          </div>
                                          <div class="form-group col-md-3">
                                             <label>Session</label>		
                                             <select id="market_status" name="market_status" class="form-control">
                                                <option value="">-Select Session-</option>
                                                <option value="1">Open</option>
                                                <option value="2">Close</option>
                                             </select>
                                          </div>
                                          <div class="form-group col-md-2">
                                             <label>&nbsp;</label>	
                                             <button type="submit" class="btn btn-primary btn-block" id="srchBtn" name="srchBtn">Go</button>
                                          </div>
                                       </div>
                                       <div class="form-group">
                                          <div id="error2"></div>
                                       </div>
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row display_none" id="result_div" >
                     <div class="col-12 col-sm-12 col-lg-12">
                        <div class="row">
                           <div class="col-sm-12 col-12 ">
                              <div class="card">
                                 <div class="card-body">
                                    <h4 class="card-title">Declare Result</h4>
                                    <div class="mt-3" id="withdraw_data_details">
                                       <div class="bs_box bs_box_light_withdraw">
                                          <span>Open Result :-</span>
                                          <b><span id="open_result_data">0</span></b>
                                       </div>
                                    </div>
                                    <div class="row open_panna_area">
                                       <div class="col-12 col-md-12">
                                          <div class="row">
                                             <div class="form-group col-md-4">
                                                <label>Panna</label>
                                                <select class="form-control getDigitOpenResult select2" name="open_number" id="open_number" data-placeholder="Select panna">
                                                   <option></option>
                                                   @foreach($pana as $value)
                                                   <option value="{{ $value->number }}">{{ $value->number }}</option>
                                                   @endforeach
                                                </select>
                                             </div>
                                             <div class="form-group col-md-4">
                                                <label>Digit</label>
                                                <input class="form-control" type="number" name="open_result" id="open_result" readonly >
                                             </div>
                                             <div class="form-group col-md-4" id="open_div_msg">
                                                <label>&nbsp;</label>
                                                <button type="button" class="btn btn-primary waves-light mr-1" id="openSaveBtn" name="openSaveBtn" onclick="OpenSaveData();">Save</button>
                                                <button type="button" class="btn btn-primary waves-light mr-1 display_none" id="openDecBtn" name="openDecBtn" onclick="decleareOpenResult();">Declare</button>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="row close_panna_area">
                                       <div class="col-12 col-md-12">
                                          <div class="row">
                                             <div class="form-group col-md-4">
                                                <label>Panna:</label>
                                                <select class="form-control select2 getDigitCloseResult" name="close_number" id="close_number" data-placeholder="Select panna">
                                                   <option></option>
                                                   @foreach($pana as $value)
                                                   <option value="{{ $value->number }}">{{ $value->number }}</option>
                                                   @endforeach
                                                </select>
                                             </div>
                                             <div class="form-group col-md-4">
                                                <label>Digit</label>
                                                <input class="form-control" type="number" name="close_result" id="close_result">
                                             </div>
                                             <div class="form-group col-md-4" id="close_div_msg">
                                                <label>&nbsp;</label>
                                                <button type="button"  class="btn btn-primary waves-light mr-1" id="closeSaveBtn" name="closeSaveBtn" onclick="closeSaveData();" readonly >Save</button>
                                                <button type="button" class="btn btn-primary waves-light mr-1 display_none" id="closeDecBtn" name="closeDecBtn" onclick="decleareCloseResult();">Declare</button>
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="form-group">
                                       <div id="error2"></div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Game Result History</h4>
                              <div class="form-group row">
                                 <div class="col-md-3">
                                    <label>Select Result Date</label>
                                    <div class="date-picker">
                                       <div class="input-group">
                                          <input class="form-control digits" type="date" name="result_pik_date" id="result_pik_date" value="{{ date('Y-m-d')}}" max="{{ date('Y-m-d')}}" >
                                       </div>
                                    </div>
                                 </div>
                              </div>
                              <div class="table-responsive">
                                 <table class="table table-striped table-bordered">
                                    <thead>
                                       <tr>
                                          <th>#</th>
                                          <th>Game Name</th>
                                          <th>Result Date</th>
                                          <th>Open Declare Date</th>
                                          <th>Close Declare Date</th>
                                          <th>Open Pana</th>
                                          <th>Close Pana</th>
                                       </tr>
                                    </thead>
                                    <tbody id="getGameResultHistory">
                                    
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            
@endsection            

@section('pageLevelJS')
<script>

resultHistoryListLoadData();	

</script>
@endsection
