@extends('admin')
@section('content')
 <div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12 col-sm-12 col-lg-12">
                        <div class="row">
                           <div class="col-sm-12 col-12 ">
                              <div class="card">
                                 <div class="card-body">
                                    <h5>Select Game</h5>
                                    <form class="theme-form mega-form" name="starlineGameSrchFrm" id="starlineGameSrchFrm" method="post">
                                       <input type="hidden" name="id" id="id">
                                       <input type="hidden" name="id" id="id">
                                       <div class="row">
                                          <div class="form-group col-md-3">
                                             <label>Result Date</label>
                                             <label>Result Date</label>
                                             <div class="date-picker">
                                                <div class="input-group">
                                                   <input class="form-control digits" type="date" value="{{ date('Y-m-d') }}" name="result_dec_date" id="starline_result_dec_date" max="{{ date('Y-m-d') }}" >
                                                </div>
                                             </div>
                                             <!--<div class="date-picker">
                                                <div class="input-group">
                                                
                                                  <input class="datepicker-here form-control digits" type="text" value="2022-08-02"  data-date-format="yyyy-mm-dd" readonly data-language="en" value="" name="result_dec_date" id="result_dec_date" placeholder="Enter Start Date" data-position="bottom left">
                                                
                                                </div>
                                                
                                                </div>-->
                                          </div>
                                          <div class="form-group col-md-3">
                                             <label>Game Name </label>
                                             <select class="form-control" name="game_id" id="game_id">
                                                <option value="">Select Name</option>
                                                 @foreach($gameList as $key => $value)
                                                <option value="{{ $value['id'] }}">{{ $value['game_name'] }}</option>
                                                @endforeach
                                             </select>
                                          </div>
                                          <div class="form-group">
                                             <label>&nbsp;</label>
                                             <button type="submit"  class="btn btn-primary btn-block" id="srchBtn" name="srchBtn">Go</button>
                                          </div>
                                       </div>
                                       <div class="form-group">
                                          <div id="error"></div>
                                       </div>
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
                  <div class="row display_none" id="result_div" >
                     <div class="col-12 col-sm-12 col-lg-12">
                        <div class="row">
                           <div class="col-sm-12 col-12 ">
                              <div class="card">
                                 <div class="card-body">
                                    <h4 class="card-title">Declare Result</h4>
                                    <div class="row close_panna_area">
                                       <div class="col-12 col-md-12">
                                          <div class="row">
                                             <div class="form-group col-md-4">
                                                <label>Panna:</label>
                                                <select class="form-control select2 getDigitOpenResult" name="open_number" id="open_number" data-placeholder="Select panna">
                                                   <option></option>
                                                    @foreach($pana as $value)
                                                   <option value="{{ $value->number }}">{{ $value->number }}</option>
                                                   @endforeach 
                                                </select>
                                             </div>
                                             <div class="form-group col-md-4">
                                                <label>Digit</label>
                                                <input class="form-control" readonly type="number" name="open_result" id="open_result">
                                             </div>
                                             <div class="form-group col-md-4" id="open_div_msg">
                                             </div>
                                          </div>
                                       </div>
                                    </div>
                                    <div class="form-group">
                                       <div id="error2"></div>
                                    </div>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-12">
                     <div class="card">
                        <div class="card-body">
                           <h4 class="card-title">Game Result History</h4>
                           <div class="form-group row">
                              <div class="col-md-3">
                                 <label>Select Result Date</label>
                                 <div class="date-picker">
                                    <div class="input-group">
                                       <input class="form-control digits" type="date" name="result_star_pik_date" id="result_star_pik_date" value="{{ date('Y-m-d') }}" max="{{ date('Y-m-d') }}" >
                                    </div>
                                 </div>
                              </div>
                           </div>
                           <div class="table-responsive">
                              <table class="table table-striped table-bordered">
                                 <thead>
                                    <tr>
                                       <th>#</th>
                                       <th>Game Name</th>
                                       <th>Result Date</th>
                                       <th>Declare Date</th>
                                       <th>Number</th>
                                    </tr>
                                 </thead>
                                 <tbody id="getStarlineResultHistory">
                                 </tbody>
                              </table>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
@endsection
@section('pageLevelJS')
<script>

getStarlineResultOnChangeEvent();	

</script>
@endsection
