@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Game Result History</h4>
                              <div class="dt-ext table-responsive">
                                 <table id="starlineGameResultHistory" class="table table-striped table-bordered">
                                    <thead>
                                       <tr>
                                          <th>#</th>
                                          <th>Game Name</th>
                                          <th>Result Date</th>
                                          <th>Declare Date</th>
                                          <th>Number</th>
                                       </tr>
                                    </thead>
                                 </table>
                              </div>
                              <div id="msg"></div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
@endsection

@section('pageLevelJS')
<script>
				var dataTable='';
						
				dataTable = $('#starlineGameResultHistory').DataTable( {
							"processing": true,
							"serverSide": true,
							"order": [0,"desc"],
							"ajax":{"url":base_url+"starlineGetResultHistory","type": "POST","dataType": "json"},
							"columns": [
										{ "data": "DT_RowIndex" },
										{ "data": "game_name" },
										{ "data": "result_date" },
										{ "data": "created_at" },
										{ "data": "number" },					
								],
									});												
									dataTable2.on('page.dt', function() {						  
									$('html, body').animate({							
									scrollTop: $(".dataTables_wrapper").offset().top-50						  
									}, 'slow');						
									});	
												
																			
</script>						
												
@endsection	
