<!DOCTYPE html>
<html lang="en">
   <head>
      <title>Laxmi Game | Sign In</title>
      <link rel="icon" href="Assets/3_Logo.ico" type="image/gif" sizes="16x16">
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
      <meta name="csrf-token" content="{{ csrf_token() }}">
      <link href="{{ asset('/frontend/assets/css/bootstrap.min.css') }}" rel="stylesheet">
      <link rel="preconnect" href="https://fonts.googleapis.com">
      <!-- START FONTS -->
      <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
      <link href="https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
      <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.css"/>
      <!-- END FONTS -->
      <!-- START STYLESHEET -->
      <link rel="stylesheet" type="text/css" href="{{ asset('/frontend/assets/css/style.css') }}">
      <!-- END STYLESHEET -->
      <style>
        .sweet-alert > h2{
        
           color:black !important;
        }
        </style>
   </head>
   <body>
      <div class="container form_wrap4">
         <form action="" class="">
            @csrf
            <div class="form_wrap3">
               <img src="{{ asset('/frontend/assets/16_Logo.png') }}" class="form_img1">
            </div>
            <div id="login_div">
            <div class="form_wrap1">
               <h1 class="form_head1">Sign In</h1>
            </div>
            <div class="form_wrap1">
               <!--                    <label for="email">Phone Number:</label>-->
               <input type="text" class="form-control form_input1" id="phone_number" placeholder="Phone Number" name="phone_number">
            </div>
            <div class="form_wrap1">
               <!--                    <label for="pwd">Password:</label>-->
               <input type="password" class="form-control form_input1" id="password" placeholder="Password" name="password">
            </div>
            
            <div class="form-check form_wrap2">
               <label class="form-check-label">
               <a href="{{ route('forgotPassword') }}" class="form_anchor1">Forgot Password ?</a>
               </label>
            </div>
            <button type="button" id="check_pin" class="btn btn-primary form_btn1">Sign In</button>
            <div class="form-check form_wrap5">
               <label class="form-check-label">
               <a href="{{ route('register') }}" class="form_anchor1">Don’t have an account ? Sign Up</a>
               </label>
            </div>
            </div>
            <div id="pin_div" style="display:none;">
               <div class="form_wrap1">
                  <label for="pin">Mpin:</label>
                  <input type="text" class="form-control form_input1" id="pin" placeholder="pin" name="Mpin">
               </div>
               <button type="button" id="send_pin" class="btn btn-primary form_btn1">Submit</button>
            </div>
         </form>
      </div>
      <script src="{{ asset('/frontend/assets/js/bootstrap.min.js') }}"></script>  
      <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
      <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-sweetalert/1.0.1/sweetalert.min.js"></script>
      <script>
         $.ajaxSetup({
         headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }
         });
         
         $('#check_pin').click(function(){
              var phone_number=$('#phone_number').val();
            var password=$('#password').val();
		 $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "{{ url('/checkClientLogin')}}",
			 data: {
				 phone_number: phone_number,
				 password: password,
			 },
			 success: function(data) {
			 
			     if(data.error == false){
			       
			       $('#login_div').hide();
			       $('#pin_div').show();
			       
			     }else{
			     
			         swal("Alert!",data.msg, "error");
			     }
					
		        }
		    });
         
         });
         $('#send_pin').click(function(){
            
            var phone_number=$('#phone_number').val();
            var password=$('#password').val();
            var pin=$('#pin').val();
            $.ajax({
		 type: 'post',
		 dataType: 'json',
		 url: "{{ url('/validateClientLogin')}}",
		 data: {
			 phone_number: phone_number,
			 password: password,
			 pin: pin,
		 },
		 success: function(data) {
				
			     if(data.error == false){
			       
			       location.href="{{ url('/userdashboard')}}";
			       
			     }else{
			     
			         swal("Alert!",data.msg, "error");
			     }
                }
            });
         
          });
      </script>
   </body>
</html>
