@extends('userPanel.user')
@section('content')
<div class="game_bid_parent">
                    <div class="row game_type_parent_inner">
                        <div class="col-sm game_type_card_wrap">
                            <div class="card body_game_type_parent">
                                <div class="card-body body_game_card2">
                                    <div class="d-flex align-items-center justify-content-start user_profile_container1">
                                        <div class="user_profile_icon_parent">
                                        <form class="form_bid_container" method="post" action="{{ route('updateProfile') }}" enctype="multipart/form-data">
                                            <img src="@if(\Auth::user()->profile_picture == '') {{ asset('/frontend/assets/avtar.jpg') }} @else {{ \Auth::user()->profile_picture }} @endif" class="rounded user_profile_pic" alt="profile picture" id="user_profile_update">
                                            <label for="upload">
                                                <span class="material-symbols-rounded user_profile_icon">edit</span>
                                                <input accept="image/*" onchange="document.getElementById('user_profile_update').src = window.URL.createObjectURL(this.files[0])" type="file" name="profile_pic" id="upload" class="input_image">
                                            </label>
                                        </div>
                                        <div class="user_profile_container2">
                                            <h5 class="card-title txt_game_market">My Information</h5>
                                            <p class="card-text">
                                                <span class="txt_game_type">User Profile</span>
                                            </p>
                                        </div>
                                    </div>
                                    <!-- START FORM -->
                                    
                                    @csrf
                                        <div class="row">
                                            <div class="col-sm">
                                                <input type="text" class="form-control input_form_bid" value="{{ \Auth::user()->username }}" placeholder="User Name" required name="username">
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm">
                                                <input type="text" class="form-control input_form_bid" value="{{ \Auth::user()->phone_number }}" disabled id="">
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm">
                                                <input type="text" class="form-control input_form_bid" value="{{ \Auth::user()->email }}" id="email" name="email" placeholder="Email Address" >
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn_form_bid">Update Profile</button>
                                    </form>
                                    <!-- END FORM -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                
@endsection                
@section('pageLevelJS')
@endsection
                
