@extends('userPanel.user')
@section('content')
<div class="game_bid_parent">
                    <div class="row game_type_parent_inner">
                        <div class="col-sm game_type_card_wrap">
                            <div class="card body_game_type_parent">
                                <div class="card-body body_game_card2">
                                    <div class="d-flex align-items-start justify-content-between">
                                        <div>
                                            <h5 class="card-title txt_game_market">Win History</h5>
                                            
                                        </div>
                                        
                                    </div>
                                    <!-- START FORM -->
                                    <form class="form_tbl_container">
                                        <div class="form_inline">
                                            <input type="date" class="form-control date_form_bid2" id="from_date" placeholder="Start Date">
                                            <input type="date" class="form-control date_form_bid3" id="to_date" placeholder="End Date" >
                                        </div>
                                        <button type="button" id="filter" class="btn btn_form_bid">Filter</button>
                                    </form>
                                    <!-- END FORM -->
                                    <!-- START TABLE -->
                                    <div class="table-responsive tbl_view_parent">
                                    @php
                                        
                                                $game_type=array(
                                                     "1" => 'Single Digit',
                                                     "2" => 'Jodi Digit',
                                                     "3" => 'Single Pana',
                                                     "4" => 'Double Pana',
                                                     "5" => 'Triple Pana',
                                                     "6" => 'Half Sangam',
                                                     "7" => 'Full Sangam',             
                                                );
                                               @endphp
                                        <table class="table tbl_view">
                                            <thead>
                                                <tr class="tbl_view_th">
                                                    <th scope="col">Game Name</th>
                                                    <th scope="col">Winning</th>
                                                    <th scope="col">Number</th>
                                                    <th scope="col">Session</th>
                                                    <th scope="col">Points</th>
                                                    <th scope="col">Date</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @forelse($win as $key => $value)
                                                <tr class="tbl_view_tr">
                                                    <th scope="row">{{ $value->game_name }}<br>({{ $value->type }})</th>
                                                    <th scope="row" style="color:green;">{{ $value->wining_amount }}</th>
                                                    @if($value->game_type_id == '1' && $value->session == 'open')  
                                                    <td>Open Digit: {{ $value->open_digit}}</td>
                                                    @elseif($value->game_type_id == '1' && $value->session == 'close')
                                                    <td>Close Digit: {{ $value->close_digit}}</td>
                                                    @elseif($value->game_type_id == '2')
                                                    <td>Jodi: {{ $value->open_digit}}{{ $value->close_digit}}</td>
                                                    @elseif(($value->game_type_id == '3' || $value->game_type_id == '4'|| $value->game_type_id == '5') && $value->session == 'open')
                                                    <td>Open Pana: {{ $value->open_pana}}</td>
                                                    @elseif(($value->game_type_id == '3' || $value->game_type_id == '4'|| $value->game_type_id == '5')&& $value->session == 'close')
                                                    <td>Close Pana: {{ $value->close_pana}}</td>
                                                    @elseif($value->game_type_id == '6' && $value->session == 'open')
                                                    <td>Open Digit: {{ $value->open_digit}}<br>Close Pana: {{ $value->close_pana}}</td>
                                                    
                                                    @elseif($value->game_type_id == '6' && $value->session == 'close')
                                                    <td>Close Pana: {{ $value->close_pana }}<br>Open Digit: {{ $value->open_digit }}</td>
                                                    @elseif($value->game_type_id == '7')
                                                    
                                                    <td>Open pana: {{ $value->open_pana}}<br>Close Pana: {{ $value->close_pana}}</td>
                                                    @endif
                                                    
                                                    <td>{{ $value->session }}</td>
                                                    <td>{{ $value->points }}</td>
                                                    <td>{{ $value->bid_date }}</td>
                                                </tr>
                                                @empty
                                                @endforelse
                                                
                                            </tbody>
                                        </table>
                                    </div>
                                    <!-- END TABLE -->
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

@endsection                
@section('pageLevelJS')
<script>
 $.ajaxSetup({
         headers: {
         'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
         }
         });
         $(document).on('click','#filter',function(){

	   var from_date=$('#from_date').val();
	   var to_date=$('#to_date').val();
	   
	   $.ajax({
			 type: 'post',
			 dataType: 'json',
			 url: "{{ url('/getWinHistory')}}",
			 data: {
				
				 from_date:from_date,
				 to_date:to_date,
			 },
			 success: function(data) {
				var html='';	
				if(data.error == false){
				       
				       
		                     $('#history').html(data.html);
		                     
				       
				}else{
				     
				   Swal.fire("Alert!",data.msg, "error");
				}
		        }
	  });
});
</script>
@endsection 
