@extends('admin')
@section('content')
<div class="page-content">
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-sm-12 col-xl-12 col-md-12">
                        <div class="row">
                           <div class="col-sm-12">
                              <div class="card">
                                 <div class="card-body">
                                    <h4 class="card-title">Winning prediction</h4>
                                    <form class="theme-form mega-form" id="geWinningpredictFrm" name="geWinningpredictFrm" method="post" autocomplete="off">
                                       <div class="row">
                                          <div class="form-group col-md-2">
                                             <label>Date</label>
                                             <div class="date-picker">
                                                <div class="input-group">
                                                   <input class="form-control digits" type="date" value="{{ date('Y-m-d') }}" name="result_date" id="result_date"  max="{{ date('Y-m-d') }}" >
                                                </div>
                                             </div>
                                          </div>
                                          <div class="form-group col-md-2">
                                             <label>Game Name</label>		
                                             <select id="win_game_name" name="win_game_name" class="form-control" onchange="checkGameDeclare(this.value);">
                                                <option value=''>-Select Game Name-</option>
                                                @foreach($gameList as $key => $value)
                                                <option value="{{ $value['id'] }}">{{ $value['game_name'] }} ({{ $value['open_time'] }} - {{ $value['close_time'] }})</option>
                                                @endforeach
                                             </select>
                                          </div>
                                          <div class="form-group col-md-2">
                                             <label>Session Time</label>		
                                             <select id="win_market_status" name="win_market_status" onchange="showclose(this.value);" class="form-control">
                                                <option value=''>-Select Market Time-</option>
                                                <option value="1">Open Market</option>
                                                <option value="2">Close Market</option>
                                             </select>
                                          </div>
                                          <div class="form-group col-md-2">
                                             <label>Open Pana</label>		
                                             <select class="form-control select2" name="winning_ank" id="winning_ank" data-placeholder="Select open number">
                                                <option></option>
                                                @foreach($pana as $value)
                                                   <option value="{{ $value->number }}">{{ $value->number }}</option>
                                                   @endforeach
                                             </select>
                                          </div>
                                          <div class="form-group col-md-2" id="showclosediv" style="display:none;" >
                                             <label>Close Pana</label>		
                                             <!--<input class="form-control" type="text"  value="" name="close_number" id="close_number" placeholder="Enter close number" >-->
                                             <select class="form-control select2" name="close_number" id="close_number" data-placeholder="Select close number">
                                                <option></option>
                                                @foreach($pana as $value)
                                                   <option value="{{ $value->number }}">{{ $value->number }}</option>
                                                   @endforeach
                                             </select>
                                          </div>
                                          <div class="form-group col-md-2">
                                             <label>&nbsp;</label>	
                                             <button type="submit" class="btn btn-primary btn-block" id="submitBtn" name="submitBtn">Submit</button>
                                          </div>
                                       </div>
                                       <div class="form-group">
                                          <div id="error"></div>
                                       </div>
                                    </form>
                                 </div>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="container-fluid">
                  <div class="row">
                     <div class="col-12">
                        <div class="card">
                           <div class="card-body">
                              <h4 class="card-title">Winning Prediction List
                              </h4>
                              <div class="mt-3">
                                 <div class="bs_box bs_box_light">
                                    <i class="mdi mdi-gavel mr-1"></i> 
                                    <span>Total Bid Amount</span>
                                    <b><span id="t_bid">0</span></b>
                                 </div>
                                 <div class="bs_box bs_box_light">
                                    <i class="mdi mdi-wallet mr-1"></i> 
                                    <span>Total Winning Amount</span>
                                    <b><span id="t_winneing_amt">0</span></b>
                                 </div>
                              </div>
                              <div class="mt-3 table-responsive">
                                 <table class="table table-striped table-bordered">
                                    <thead>
                                       <tr>
                                          <th>#</th>
                                          <th>User Name</th>
                                          <th>Bid Points</th>
                                          <th>Winning Amount</th>
                                          <th>Type</th>
                                          <th>Bid TX ID</th>
                                          <th>Action</th>
                                       </tr>
                                    </thead>
                                    <tbody id="winner_result_data">
                                    </tbody>
                                 </table>
                              </div>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
            <div class="modal fade" id="updatebidhistoryModal" tabindex="-1" role="dialog" aria-hidden="true">
               <div class="modal-dialog modal_right_side" role="document">
                  <div class="modal-content col-12 col-md-3">
                     <div class="modal-header">
                        <h5 class="modal-title">Update Bid</h5>
                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                     </div>
                     <div class="modal-body modal_update_edibidhistory">
                     </div>
                  </div>
               </div>
            </div>
            
@endsection            
